package eu.ztsh.garmin

import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import me.trevi.navparser.lib.NavigationData

class NavigationDataModel : ViewModel() {
    private val mutableData = MutableLiveData<NavigationData>()
    val liveData: LiveData<NavigationData> get() = mutableData
    var data: NavigationData?
        get() = mutableData.value
        set(value) { mutableData.value = value }
}
